# VisualStudioRootExtension

interface VisualStudioRootExtension : VisualStudioExtension

The configuration for mapping a set of native components to a Visual Studio project and solution.

#### Since

4.6

## Functions

getProjects
Link copied to clipboard
abstract fun getProjects(): NamedDomainObjectSet<out VisualStudioProject>
getSolution
Link copied to clipboard
abstract fun getSolution(): VisualStudioSolution
Returns the generated VisualStudioSolution for this build.
solution
Link copied to clipboard
abstract fun solution(configAction: Action<in VisualStudioSolution>)
Configures the generated VisualStudioSolution for this build.